org.apache.sysds.runtime.controlprogram.parfor

## Class DataPartitionerRemoteSpark

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.DataPartitioner
  - - org.apache.sysds.runtime.controlprogram.parfor.DataPartitionerRemoteSpark

    public class DataPartitionerRemoteSpark
    extends DataPartitioner

MR job class for submitting parfor remote partitioning MR jobs.

### Constructor Summary

Constructors
Constructor and Description
`DataPartitionerRemoteSpark(ParForProgramBlock.PartitionFormat dpf, ExecutionContext ec, long numRed, int replication, boolean keepIndexes)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.DataPartitioner

`createPartitionedMatrixObject, createPartitionedMatrixObject, createPartitionedMatrixObject, createReuseMatrixBlock, disableBinaryCell`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataPartitionerRemoteSpark

    public DataPartitionerRemoteSpark(ParForProgramBlock.PartitionFormat dpf,
                                      ExecutionContext ec,
                                      long numRed,
                                      int replication,
                                      boolean keepIndexes)